#!/bin/bash

# Runs the CR tool on the output of FreeLing and generates
# the results before and after it.

echo "Before running this file, remember to change the 'path' in the crtool.pl file!"

cat freeling_output.txt | ../addnumb_coref.pl | ../../../crtool.pl -sfn | sed 's/^[0-9]\+ //' | grep -v "^$" > output_freeling_coref.txt
cat output_freeling_coref.txt | ../ner2bio.pl | sed 's/^O #/#/' | grep -v "<SENT>" > output_freeling_coref_IOB.txt
cat freeling_output.txt | ../ner2bio.pl | sed 's/^O #/#/' | grep -v "<SENT>" > output_freeling_IOB.txt
cat output_freeling_coref_IOB.txt | cut -d " " -f 1 > out_coref
cat gold_nospace_IOB.txt | awk 'FS=" " {print $2,$1}' > out_gold
paste out_gold out_coref | sed 's/\t/ /g' > eval_coref.txt
echo "Results without CR tool:"
cat output_freeling_IOB.txt | cut -d " " -f 1 > out_fl
paste out_gold out_fl | sed 's/\t/ /g' > eval_freeling.txt
perl ../conlleval.pl < eval_freeling.txt
echo "Results with CR tool:"
perl ../conlleval.pl < eval_coref.txt

